SbVec2b Class Reference

a vector class for containing two byte integers. More...

`#include <Inventor/SbVec2b.h>`

## Public Member Functions

| SbVec2b (const int8_t v[2])
| SbVec2b (int8_t x, int8_t y)
| SbVec2b (const SbVec2ub &v)
| SbVec2b (const SbVec2s &v)
| SbVec2b (const SbVec2i32 &v)
| SbVec2b (const SbVec2f &v)
| SbVec2b (const SbVec2d &v)
SbVec2b & | setValue (const int8_t v[2])
SbVec2b & | setValue (int8_t x, int8_t y)
SbVec2b & | setValue (const SbVec2ub &v)
SbVec2b & | setValue (const SbVec2s &v)
SbVec2b & | setValue (const SbVec2i32 &v)
SbVec2b & | setValue (const SbVec2f &v)
SbVec2b & | setValue (const SbVec2d &v)
const int8_t * | getValue (void) const
void | getValue (int8_t &x, int8_t &y) const
int8_t & | operator[] (int i)
const int8_t & | operator[] (int i) const
int32_t | dot (SbVec2b v) const
void | negate (void)
SbVec2b & | operator*= (int d)
SbVec2b & | operator*= (double d)
SbVec2b & | operator/= (int d)
SbVec2b & | operator/= (double d)
SbVec2b & | operator+= (SbVec2b v)
SbVec2b & | operator-= (SbVec2b v)
SbVec2b | operator- (void) const

## Protected Attributes

int8_t | vec [2]

## Detailed Description

a vector class for containing two byte integers.

See also
  SbVec2ub

Since
  Coin 2.5

The documentation for this class was generated from the following files:

- SbVec2b.h
- SbVec2b.cpp